Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.scala
Class ScalaDoc

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.SourceTask
                      org.gradle.api.tasks.scala.ScalaDoc

All Implemented Interfaces:
  groovy.lang.GroovyObject, java.lang.Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task, PatternFilterable

    public class ScalaDoc

extends SourceTask

Task to generate Scala API documentation.

Field Summary

Fields inherited from interface org.gradle.api.Task
`AUTOSKIP_PROPERTY_PREFIX, TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`ScalaDoc()`

Method Summary
`protected void` | `generate()`
`org.gradle.api.tasks.scala.AntScalaDoc` | `getAntScalaDoc()`
`java.lang.Iterable<java.io.File>` | `getClasspath()` Returns the classpath to use to locate classes referenced by the documented source.
`java.io.File` | `getDestinationDir()`
`org.gradle.api.tasks.scala.ScalaDocOptions` | `getScalaDocOptions()`
`java.lang.String` | `getTitle()`
`void` | `setAntScalaDoc(org.gradle.api.tasks.scala.AntScalaDoc antScalaDoc)`
`void` | `setClasspath(FileCollection classpath)`
`void` | `setDestinationDir(java.io.File destinationDir)`
`void` | `setScalaDocOptions(org.gradle.api.tasks.scala.ScalaDocOptions scalaDocOptions)`
`void` | `setTitle(java.lang.String title)`

Methods inherited from class org.gradle.api.tasks.SourceTask
`exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, setExcludes, setIncludes, setSource, source`

Methods inherited from class org.gradle.api.internal.ConventionTask
`conventionMapping, getConventionMapping, setConventionMapping`

Methods inherited from class org.gradle.api.DefaultTask
`configure, doFirst, doLast, leftShift`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getOutput, getPath, getProject, getStandardOutputCapture, getTaskDependencies, hashCode, hasProperty, injectIntoNextInstance, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setConvention, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setOutputHandler, setProject, setProperty, setStandardOutputCapture, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface groovy.lang.GroovyObject
`getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

Constructor Detail

### ScalaDoc

    public ScalaDoc()

Method Detail

### getAntScalaDoc

    public org.gradle.api.tasks.scala.AntScalaDoc getAntScalaDoc()

### setAntScalaDoc

    public void setAntScalaDoc(org.gradle.api.tasks.scala.AntScalaDoc antScalaDoc)

### getDestinationDir

    public java.io.File getDestinationDir()

### setDestinationDir

    public void setDestinationDir(java.io.File destinationDir)

### getClasspath

    public java.lang.Iterable<java.io.File> getClasspath()

  Returns the classpath to use to locate classes referenced by the documented source.

  Returns:
    The classpath.

### setClasspath

    public void setClasspath(FileCollection classpath)

### getScalaDocOptions

    public org.gradle.api.tasks.scala.ScalaDocOptions getScalaDocOptions()

### setScalaDocOptions

    public void setScalaDocOptions(org.gradle.api.tasks.scala.ScalaDocOptions scalaDocOptions)

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

### generate

    protected void generate()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD